curl -X POST https://api.dotlookup.dev/v1/auth/signup \
-H "Content-Type: application/json" \
-d '{"email": "you@example.com", "password": "a-strong-password", "name": "Jane Doe", "company": "Acme Logistics"}'
import requests
resp = requests.post("https://api.dotlookup.dev/v1/auth/signup", json={
"email": "you@example.com",
"password": "a-strong-password",
"name": "Jane Doe",
"company": "Acme Logistics",
})
account = resp.json()
print(f"Your API key: {account['api_key']}")
const resp = await fetch("https://api.dotlookup.dev/v1/auth/signup", {
method: "POST",
headers: { "Content-Type": "application/json" },
body: JSON.stringify({
email: "you@example.com",
password: "a-strong-password",
name: "Jane Doe",
company: "Acme Logistics",
}),
});
const account = await resp.json();
console.log(`Your API key: ${account.api_key}`);
{
"id": 1,
"email": "you@example.com",
"name": "Jane Doe",
"company": "Acme Logistics",
"api_key": "dl_a1b2c3d4e5f6...",
"tier": "default",
"rate_limit": 100,
"is_active": true,
"has_password": true,
"created_at": "2025-03-20T14:30:00Z"
}
{
"error": {
"code": "ACCOUNT_EXISTS",
"message": "an account with this email already exists"
}
}
Account
Sign Up
Create an account and receive an API key
POST
/
v1
/
auth
/
signup
curl -X POST https://api.dotlookup.dev/v1/auth/signup \
-H "Content-Type: application/json" \
-d '{"email": "you@example.com", "password": "a-strong-password", "name": "Jane Doe", "company": "Acme Logistics"}'
import requests
resp = requests.post("https://api.dotlookup.dev/v1/auth/signup", json={
"email": "you@example.com",
"password": "a-strong-password",
"name": "Jane Doe",
"company": "Acme Logistics",
})
account = resp.json()
print(f"Your API key: {account['api_key']}")
const resp = await fetch("https://api.dotlookup.dev/v1/auth/signup", {
method: "POST",
headers: { "Content-Type": "application/json" },
body: JSON.stringify({
email: "you@example.com",
password: "a-strong-password",
name: "Jane Doe",
company: "Acme Logistics",
}),
});
const account = await resp.json();
console.log(`Your API key: ${account.api_key}`);
{
"id": 1,
"email": "you@example.com",
"name": "Jane Doe",
"company": "Acme Logistics",
"api_key": "dl_a1b2c3d4e5f6...",
"tier": "default",
"rate_limit": 100,
"is_active": true,
"has_password": true,
"created_at": "2025-03-20T14:30:00Z"
}
{
"error": {
"code": "ACCOUNT_EXISTS",
"message": "an account with this email already exists"
}
}
Create a new account and receive an API key. Email and password are required; the password is used to log in later and is also the credential needed for password resets and API-key regeneration.
string
required
Your email address
string
required
Your password. Must be at least 8 characters. Stored as a bcrypt hash.
string
Your name
string
Your company name
curl -X POST https://api.dotlookup.dev/v1/auth/signup \
-H "Content-Type: application/json" \
-d '{"email": "you@example.com", "password": "a-strong-password", "name": "Jane Doe", "company": "Acme Logistics"}'
import requests
resp = requests.post("https://api.dotlookup.dev/v1/auth/signup", json={
"email": "you@example.com",
"password": "a-strong-password",
"name": "Jane Doe",
"company": "Acme Logistics",
})
account = resp.json()
print(f"Your API key: {account['api_key']}")
const resp = await fetch("https://api.dotlookup.dev/v1/auth/signup", {
method: "POST",
headers: { "Content-Type": "application/json" },
body: JSON.stringify({
email: "you@example.com",
password: "a-strong-password",
name: "Jane Doe",
company: "Acme Logistics",
}),
});
const account = await resp.json();
console.log(`Your API key: ${account.api_key}`);
{
"id": 1,
"email": "you@example.com",
"name": "Jane Doe",
"company": "Acme Logistics",
"api_key": "dl_a1b2c3d4e5f6...",
"tier": "default",
"rate_limit": 100,
"is_active": true,
"has_password": true,
"created_at": "2025-03-20T14:30:00Z"
}
{
"error": {
"code": "ACCOUNT_EXISTS",
"message": "an account with this email already exists"
}
}
⌘I